; TOPVIEW.INC
;
; Macros and definitions for use with TOPVIEW.ASM
; Once you have called detect_TopView, the following macros can be used to
; get the video memory address as well as check for and get keyboard input.
;

global	screen_address:dword
global	keyboard_check_fn:byte, keyboard_read_fn:byte
global	detect_TopView:proc
global	write_string:proc
global	get_kbd_inp:proc

@get_scr_addr	macro
	les	di, cs:screen_address
endm

@chk_kbd	macro
	mov	ah, cs:keyboard_check_fn
	int	16h
endm

@read_kbd	macro
	mov	ah, cs:keyboard_read_fn
	int	16h
endm


